Mercurial > hg > xemacs-beta
comparison configure @ 3494:f5e111f9411d
[xemacs-hg @ 2006-07-07 20:07:44 by james]
Add -Wdeclaration-after-statement support.
<m3irmuujmj.fsf_-_@jerrypc.cs.usu.edu>
author | james |
---|---|
date | Fri, 07 Jul 2006 20:07:45 +0000 |
parents | bf3ba03cef15 |
children | 3cb3c306cce9 |
comparison
equal
deleted
inserted
replaced
3493:cb20b201d5e6 | 3494:f5e111f9411d |
---|---|
8322 _ACEOF | 8322 _ACEOF |
8323 cat confdefs.h >>conftest.$ac_ext | 8323 cat confdefs.h >>conftest.$ac_ext |
8324 cat >>conftest.$ac_ext <<_ACEOF | 8324 cat >>conftest.$ac_ext <<_ACEOF |
8325 /* end confdefs.h. */ | 8325 /* end confdefs.h. */ |
8326 int main () { | 8326 int main () { |
8327 #if __GNUC__ >= 3 | 8327 return __GNUC__; |
8328 return 11; | |
8329 #else | |
8330 return 0; | |
8331 #endif | |
8332 } | 8328 } |
8333 _ACEOF | 8329 _ACEOF |
8334 rm -f conftest$ac_exeext | 8330 rm -f conftest$ac_exeext |
8335 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5 | 8331 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5 |
8336 (eval $ac_link) 2>&5 | 8332 (eval $ac_link) 2>&5 |
8347 echo "$as_me: program exited with status $ac_status" >&5 | 8343 echo "$as_me: program exited with status $ac_status" >&5 |
8348 echo "$as_me: failed program was:" >&5 | 8344 echo "$as_me: failed program was:" >&5 |
8349 sed 's/^/| /' conftest.$ac_ext >&5 | 8345 sed 's/^/| /' conftest.$ac_ext >&5 |
8350 | 8346 |
8351 ( exit $ac_status ) | 8347 ( exit $ac_status ) |
8352 case "$?" in | 8348 __GCC="$?" |
8353 11) echo "You appear to be using GCC version 3 or above."; __GCC3=yes ;; | |
8354 esac | |
8355 fi | 8349 fi |
8356 rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext | 8350 rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext |
8357 fi | 8351 fi |
8352 if test "$cross_compiling" = yes; then | |
8353 { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling | |
8354 See \`config.log' for more details." >&5 | |
8355 echo "$as_me: error: cannot run test program while cross compiling | |
8356 See \`config.log' for more details." >&2;} | |
8357 { (exit 1); exit 1; }; } | |
8358 else | |
8359 cat >conftest.$ac_ext <<_ACEOF | |
8360 /* confdefs.h. */ | |
8361 _ACEOF | |
8362 cat confdefs.h >>conftest.$ac_ext | |
8363 cat >>conftest.$ac_ext <<_ACEOF | |
8364 /* end confdefs.h. */ | |
8365 int main () { | |
8366 return __GNUC_MINOR__; | |
8367 } | |
8368 _ACEOF | |
8369 rm -f conftest$ac_exeext | |
8370 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5 | |
8371 (eval $ac_link) 2>&5 | |
8372 ac_status=$? | |
8373 echo "$as_me:$LINENO: \$? = $ac_status" >&5 | |
8374 (exit $ac_status); } && { ac_try='./conftest$ac_exeext' | |
8375 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 | |
8376 (eval $ac_try) 2>&5 | |
8377 ac_status=$? | |
8378 echo "$as_me:$LINENO: \$? = $ac_status" >&5 | |
8379 (exit $ac_status); }; }; then | |
8380 : | |
8381 else | |
8382 echo "$as_me: program exited with status $ac_status" >&5 | |
8383 echo "$as_me: failed program was:" >&5 | |
8384 sed 's/^/| /' conftest.$ac_ext >&5 | |
8385 | |
8386 ( exit $ac_status ) | |
8387 __GCC_MINOR="$?" | |
8388 fi | |
8389 rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext | |
8390 fi | |
8391 __GCC_VERSION=$__GCC"."$__GCC_MINOR | |
8392 echo "You appear to be using GCC version" $__GCC_VERSION | |
8358 fi | 8393 fi |
8359 | 8394 |
8360 | 8395 |
8361 | 8396 |
8362 test -n "$with_xemacs_compiler" && XEMACS_CC="$with_xemacs_compiler" | 8397 test -n "$with_xemacs_compiler" && XEMACS_CC="$with_xemacs_compiler" |
9207 with_cflags_warning="-qinfo" | 9242 with_cflags_warning="-qinfo" |
9208 elif test "$GCC" = "yes"; then | 9243 elif test "$GCC" = "yes"; then |
9209 with_cflags_warning="-Wall -Wno-switch -Wundef" | 9244 with_cflags_warning="-Wall -Wno-switch -Wundef" |
9210 | 9245 |
9211 with_cflags_warning="$with_cflags_warning -Wsign-compare -Wno-char-subscripts" | 9246 with_cflags_warning="$with_cflags_warning -Wsign-compare -Wno-char-subscripts" |
9212 test "$__GCC3" = "yes" && with_cflags_warning="$with_cflags_warning -Wpacked" | 9247 test "$__GCC" -ge 3 && with_cflags_warning="$with_cflags_warning -Wpacked" |
9213 test "$have_glibc" != "yes" && \ | 9248 test "$have_glibc" != "yes" && \ |
9214 with_cflags_warning="$with_cflags_warning -Wpointer-arith" | 9249 with_cflags_warning="$with_cflags_warning -Wpointer-arith" |
9215 if test "$with_xemacs_compiler" = "g++"; then | 9250 if test "$with_xemacs_compiler" = "g++"; then |
9216 xe_cflags_warning="$with_cflags_warning -Weffc++" | 9251 xe_cflags_warning="$with_cflags_warning -Weffc++" |
9217 elif test "$__GCC3" = "yes"; then | 9252 elif test "$__GCC" -ge 3; then |
9218 xe_cflags_warning="$with_cflags_warning -Wunused-parameter" | 9253 xe_cflags_warning="$with_cflags_warning -Wunused-parameter" |
9254 if test "$__GCC" -gt 3 || test "$__GCC_MINOR" -ge 4; then | |
9255 with_cflags_warning="$with_cflags_warning -Wdeclaration-after-statement" | |
9256 fi | |
9219 fi | 9257 fi |
9220 with_cflags_warning="$with_cflags_warning -Wshadow -Wmissing-declarations" | 9258 with_cflags_warning="$with_cflags_warning -Wshadow -Wmissing-declarations" |
9221 with_cflags_warning="$with_cflags_warning -Wmissing-prototypes -Wstrict-prototypes" | 9259 with_cflags_warning="$with_cflags_warning -Wmissing-prototypes -Wstrict-prototypes" |
9222 elif test "$__ICC" = "yes"; then | 9260 elif test "$__ICC" = "yes"; then |
9223 with_cflags_warning="-Wall -w1 -we147" | 9261 with_cflags_warning="-Wall -w1 -we147" |
39693 test -n "$prefix" && | 39731 test -n "$prefix" && |
39694 prefix=`echo '' "$prefix" | sed -e 's:^ ::' -e 's,\([^/]\)/*$,\1,'` | 39732 prefix=`echo '' "$prefix" | sed -e 's:^ ::' -e 's,\([^/]\)/*$,\1,'` |
39695 test -n "$exec_prefix" && | 39733 test -n "$exec_prefix" && |
39696 exec_prefix=`echo '' "$exec_prefix" | sed -e 's:^ ::' -e 's,\([^/]\)/*$,\1,'` | 39734 exec_prefix=`echo '' "$exec_prefix" | sed -e 's:^ ::' -e 's,\([^/]\)/*$,\1,'` |
39697 | 39735 |
39736 | |
39737 if test -r $srcdir/src/depend; then :; | |
39738 else | |
39739 echo "creating $srcdir/src/depend" | |
39740 perl $srcdir/src/make-src-depend > $srcdir/src/depend | |
39741 fi | |
39698 | 39742 |
39699 for file in $internal_makefile_list; do | 39743 for file in $internal_makefile_list; do |
39700 case $file in | 39744 case $file in |
39701 src/Makefile.in ) file="src/Makefile.in:src/Makefile.in.in:src/depend" ;; | 39745 src/Makefile.in ) file="src/Makefile.in:src/Makefile.in.in:src/depend" ;; |
39702 modules/* ) file="${file}:${file}.in:modules/common/Makefile.common" ;; | 39746 modules/* ) file="${file}:${file}.in:modules/common/Makefile.common" ;; |